# set the include path for X, qt and KDE
INCLUDES = $(all_includes)

# these are the headers for your project
noinst_HEADERS = tdedcoptest.h

# let automoc handle all of the meta source files (moc)
METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/tdedcoptest.pot

KDE_ICON = tdedcoptest

#########################################################################
# APPLICATION SECTION
#########################################################################
# this is the program that gets installed.  it's name is used for all
# of the other Makefile.am variables
bin_PROGRAMS = tdedcoptest

# the application source, library search path, and link libraries
tdedcoptest_SOURCES = main.cpp tdedcoptest.cpp tdedcoptest_iface.skel mainclass.cpp
tdedcoptest_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
tdedcoptest_LDADD = $(LIB_TDEUI)

# this is where the desktop file will go 
shelldesktopdir   = $(kde_appsdir)/Utilities
shelldesktop_DATA = tdedcoptest.desktop

# this is where the shell's XML-GUI resource file goes
shellrcdir   = $(kde_datadir)/tdedcoptest
shellrc_DATA = tdedcoptestui.rc

h_inc.h: gen.py
	python gen.py
